## ktexteditor 5.3.0

=== debian/changelog ===
ktexteditor (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Add missing depends pkgconfig and libgit2. 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:27:26 +0100

ktexteditor (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Use pkg-kde-tools version 3 scripts

  [ Scarlett Clark ]
  * Add missing dependency libqt5xmlpatterns5-dev.
  * Cleanup copyright + move copyright extra details to comment to silence
    space-in-std-shortname-in-dep5-copyright lintian error.  

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:37:47 +0200

ktexteditor (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Fix copyright file lintain errors. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:09:22 +0200

ktexteditor (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 22 Jul 2014 15:42:40 +0200
