=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5texteditor5-dbg

.PHONY: override_dh_auto_test

override_dh_install:
	rm -f debian/ktexteditor-data/usr/share/katepart5/script/libraries/underscore.js
	$(overridden_command)
