## ktexteditor 5.15.0

=== debian/changelog ===
ktexteditor (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:56:26 +0100

ktexteditor (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:26:47 +0100

ktexteditor (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:32:00 +0200

ktexteditor (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge.

  [ José Manuel Santamaría Lema ]
  * Override this lintian warning:
    libkf5texteditor5-libjs-underscore: empty-binary-package

  [ Scarlett Clark ]
  * Apply above patch. 
  * Add the lintain override file. 
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 16:09:23 +0200

ktexteditor (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 13:28:11 +0200

ktexteditor (5.10.0-0ubuntu2) UNRELEASED; urgency=medium

  * Add kubuntu_workaround-katehighlightingindexer-arm.diff
  * Add libkf5texteditor5-libjs-underscore bridge package to allow
    installing as multi-arch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Jun 2015 08:07:46 +0200

ktexteditor (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:32:35 +0200

ktexteditor (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:21 +0200

ktexteditor (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * New patch: katesyntaxtest_check_basename

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:48 +0100

ktexteditor (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:45 +0100

ktexteditor (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add acc autopkgtests.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update watch file.
  * Update install files.
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Feb 2015 20:32:35 +0100
