=== debian/control ===
--- 
+++ 
@@ -3,41 +3,24 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               kio-dev (>= 5.9.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               kio-dev (>= 5.15.0~),
                libgit2-dev,
-               libkf5archive-dev (>= 5.9.0),
-               libkf5attica-dev (>= 5.9.0),
-               libkf5auth-dev (>= 5.9.0),
-               libkf5bookmarks-dev (>= 5.9.0),
-               libkf5codecs-dev (>= 5.9.0),
-               libkf5completion-dev (>= 5.9.0),
-               libkf5config-dev (>= 5.9.0),
-               libkf5configwidgets-dev (>= 5.9.0),
-               libkf5coreaddons-dev (>= 5.9.0),
-               libkf5dbusaddons-dev (>= 5.9.0),
-               libkf5globalaccel-dev (>= 5.9.0),
-               libkf5guiaddons-dev (>= 5.9.0),
-               libkf5i18n-dev (>= 5.9.0),
-               libkf5iconthemes-dev (>= 5.9.0),
-               libkf5itemviews-dev (>= 5.9.0),
-               libkf5jobwidgets-dev (>= 5.9.0),
-               libkf5notifications-dev (>= 5.9.0),
-               libkf5parts-dev (>= 5.9.0),
-               libkf5service-dev (>= 5.9.0),
-               libkf5solid-dev (>= 5.9.0),
-               libkf5sonnet-dev (>= 5.9.0),
-               libkf5textwidgets-dev (>= 5.9.0),
-               libkf5widgetsaddons-dev (>= 5.9.0),
-               libkf5windowsystem-dev (>= 5.9.0),
-               libkf5xmlgui-dev (>= 5.9.0),
-               libqt5xmlpatterns5-dev,
+               libkf5archive-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.15.0~),
+               libkf5guiaddons-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.15.0~),
+               libkf5iconthemes-dev (>= 5.15.0~),
+               libkf5parts-dev (>= 5.15.0~),
+               libkf5sonnet-dev (>= 5.15.0~),
+               libqt5xmlpatterns5-dev (>= 5.4),
+               perl,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qtscript5-dev
+               qtbase5-dev (>= 5.4),
+               qtscript5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
 XS-Testsuite: autopkgtest
@@ -47,8 +30,9 @@
 Package: libkf5texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5parts-dev,
+Depends: libkf5parts-dev (>= 5.15.0~),
          libkf5texteditor5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.4),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: provide advanced plain text editing services
@@ -65,7 +49,7 @@
 Package: libkf5texteditor5
 Architecture: any
 Depends: ktexteditor-data (= ${source:Version}),
-         libjs-underscore,
+         libkf5texteditor5-libjs-underscore,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: provide advanced plain text editing services
@@ -78,6 +62,14 @@
  (Kate Part).
 Multi-Arch: same
 Recommends: ktexteditor-katepart (= ${binary:Version})
+
+Package: libkf5texteditor5-libjs-underscore
+Architecture: any
+Depends: libjs-underscore, ${misc:Depends}, ${shlibs:Depends}
+Description: Bridge package for libjs-underscore
+ Bridge package for libjs-underscore to allow for installation of
+ libjs-underscore in multi-arch use.
+Multi-Arch: foreign
 
 Package: ktexteditor-data
 Architecture: all
