=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         kded5, libkf5service-bin
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags
