## ktexteditor 5.18.0

=== debian/changelog ===
ktexteditor (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:24:49 +0100

ktexteditor (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * xdg files no longer present.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:29 +0100

ktexteditor (5.15.0-1) unstable; urgency=medium

  * Add copyright information about the current license of the linkable
    code.
  * Drop libgit2-dev build dep. (Closes: #799430)
  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:48 +0200

ktexteditor (5.15.0-0ubuntu3) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:48 +0100

ktexteditor (5.15.0-0ubuntu2) UNRELEASED; urgency=medium

  [ Rohan Garg ]
  * Drop kubuntu_workaround-katehighlightingindexer-arm.diff, because KCI
    doesn't build arm packages on QEMU anymore, and Mobile KCI builds them
    on real HW.

  [ Scarlett Clark ]
  * Remove missing file. 
  * Seems all kate*rc files are removed. 
    Removed from install files.
  * Removed xmlgui/katepart also missing from install. 
  * 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 09 Oct 2015 00:15:37 -0700

ktexteditor (5.15.0-0ubuntu2) xenial; urgency=medium

  * No-change rebuild against libgit2 0.23.1-1

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 28 Oct 2015 01:14:15 -0700

ktexteditor (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:55 +0200

ktexteditor (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 13:28:14 +0200

ktexteditor (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:44:05 +0200
