=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
-               libgit2-dev,
-               libkf5archive-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5guiaddons-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5parts-dev (>= 5.15.0~),
-               libkf5sonnet-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5archive-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5guiaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5parts-dev (>= 5.18.0~),
+               libkf5sonnet-dev (>= 5.18.0~),
                libqt5xmlpatterns5-dev (>= 5.4),
                perl,
                pkg-config,
@@ -23,14 +22,13 @@
                qtscript5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
-XS-Testsuite: autopkgtest
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/ktexteditor.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/ktexteditor.git
 
 Package: libkf5texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5parts-dev (>= 5.15.0~),
+Depends: libkf5parts-dev (>= 5.16.0~),
          libkf5texteditor5 (= ${binary:Version}),
          qtbase5-dev (>= 5.4),
          ${misc:Depends},
