=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5texteditor5-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:
 
 override_dh_install:
 	rm -f debian/ktexteditor-data/usr/share/katepart5/script/libraries/underscore.js
