=== debian/control ===
--- 
+++ 
@@ -5,32 +5,32 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
-               libkf5archive-dev (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5guiaddons-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5iconthemes-dev (>= 5.18.0~),
-               libkf5parts-dev (>= 5.18.0~),
-               libkf5sonnet-dev (>= 5.18.0~),
-               libqt5xmlpatterns5-dev (>= 5.4),
+               extra-cmake-modules (>= 5.26.0~),
+               kio-dev (>= 5.26.0~),
+               libkf5archive-dev (>= 5.26.0~),
+               libkf5config-dev (>= 5.26.0~),
+               libkf5guiaddons-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
+               libkf5iconthemes-dev (>= 5.26.0~),
+               libkf5parts-dev (>= 5.26.0~),
+               libkf5sonnet-dev (>= 5.26.0~),
+               libqt5xmlpatterns5-dev (>= 5.5.0~),
                perl,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.5.0~),
+               qtscript5-dev (>= 5.5.0~)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/ktexteditor.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/ktexteditor.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/ktexteditor.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/ktexteditor.git
 
 Package: libkf5texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5parts-dev (>= 5.16.0~),
+Depends: libkf5parts-dev (>= 5.26.0~),
          libkf5texteditor5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: provide advanced plain text editing services
@@ -47,7 +47,7 @@
 Package: libkf5texteditor5
 Architecture: any
 Depends: ktexteditor-data (= ${source:Version}),
-         libkf5texteditor5-libjs-underscore,
+         libjs-underscore,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: provide advanced plain text editing services
@@ -60,14 +60,6 @@
  (Kate Part).
 Multi-Arch: same
 Recommends: ktexteditor-katepart (= ${binary:Version})
-
-Package: libkf5texteditor5-libjs-underscore
-Architecture: any
-Depends: libjs-underscore, ${misc:Depends}, ${shlibs:Depends}
-Description: Bridge package for libjs-underscore
- Bridge package for libjs-underscore to allow for installation of
- libjs-underscore in multi-arch use.
-Multi-Arch: foreign
 
 Package: ktexteditor-data
 Architecture: all
@@ -95,19 +87,3 @@
  (Kate Part).
  .
  This contains the Kate Part plugin.
-
-Package: libkf5texteditor5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libkf5texteditor5 (= ${binary:Version}), ${misc:Depends}
-Description: provide advanced plain text editing services
- The KTextEditor interfaces - also called KTE interfaces - are a set
- of well-defined interfaces which an application or library can
- implement to provide advanced plain text editing
- services. Applications which utilise this interface can thus allow
- the user to choose which implementation of the editor component to
- use. The only implementation right now is the Kate Editor Component
- (Kate Part).
- .
- Contains debug symbols for texteditor.
