=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.27.0~),
                kio-dev (>= 5.26.0~),
-               libkf5archive-dev (>= 5.26.0~),
-               libkf5config-dev (>= 5.26.0~),
-               libkf5guiaddons-dev (>= 5.26.0~),
-               libkf5i18n-dev (>= 5.26.0~),
-               libkf5iconthemes-dev (>= 5.26.0~),
-               libkf5parts-dev (>= 5.26.0~),
-               libkf5sonnet-dev (>= 5.26.0~),
+               libkf5archive-dev (>= 5.27.0~),
+               libkf5config-dev (>= 5.27.0~),
+               libkf5guiaddons-dev (>= 5.27.0~),
+               libkf5i18n-dev (>= 5.27.0~),
+               libkf5iconthemes-dev (>= 5.27.0~),
+               libkf5kio-dev (>= 5.27.0~),
+               libkf5parts-dev (>= 5.27.0~),
+               libkf5sonnet-dev (>= 5.27.0~),
                libqt5xmlpatterns5-dev (>= 5.5.0~),
                perl,
                pkg-config,
@@ -28,7 +29,7 @@
 Package: libkf5texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5parts-dev (>= 5.26.0~),
+Depends: libkf5parts-dev (>= 5.27.0~),
          libkf5texteditor5 (= ${binary:Version}),
          qtbase5-dev (>= 5.5.0~),
          ${misc:Depends},
