## ktexteditor 5.28.0

=== debian/changelog ===
ktexteditor (5.28.0-2) unstable; urgency=medium

  * Apply "Fix: Forward dragging text results in wrong selection" (a4ad36c)
    Add the upstream patch as:
     Fix-Forward-dragging-text-results-in-wrong-selection.patch
    This fixes KDE#374163
  * Apply "fix minimap rendering for HiDPI envs" (030c37b)
    Add upstream patch as: fix-minimap-rendering-for-HiDPI-envs.patch

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Apr 2017 11:57:02 +0200

ktexteditor (5.28.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Add libgit2-dev build dep back.
    Thanks to Simon Quigley for noting this

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:07:00 +0100
