=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.27.0~),
+               extra-cmake-modules (>= 5.28.0~),
                kio-dev (>= 5.26.0~),
-               libkf5archive-dev (>= 5.27.0~),
-               libkf5config-dev (>= 5.27.0~),
-               libkf5guiaddons-dev (>= 5.27.0~),
-               libkf5i18n-dev (>= 5.27.0~),
-               libkf5iconthemes-dev (>= 5.27.0~),
-               libkf5kio-dev (>= 5.27.0~),
-               libkf5parts-dev (>= 5.27.0~),
-               libkf5sonnet-dev (>= 5.27.0~),
-               libqt5xmlpatterns5-dev (>= 5.5.0~),
+               libgit2-dev (>= 0.22.0~),
+               libkf5archive-dev (>= 5.28.0~),
+               libkf5config-dev (>= 5.28.0~),
+               libkf5guiaddons-dev (>= 5.28.0~),
+               libkf5i18n-dev (>= 5.28.0~),
+               libkf5iconthemes-dev (>= 5.28.0~),
+               libkf5kio-dev (>= 5.28.0~),
+               libkf5parts-dev (>= 5.28.0~),
+               libkf5sonnet-dev (>= 5.28.0~),
+               libqt5xmlpatterns5-dev (>= 5.7~),
                perl,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.5.0~),
-               qtscript5-dev (>= 5.5.0~)
+               qtbase5-dev (>= 5.7~),
+               qtscript5-dev (>= 5.7~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
 Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/ktexteditor.git
@@ -29,9 +30,9 @@
 Package: libkf5texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5parts-dev (>= 5.27.0~),
+Depends: libkf5parts-dev (>= 5.28.0~),
          libkf5texteditor5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.5.0~),
+         qtbase5-dev (>= 5.7~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: provide advanced plain text editing services
